<?php 
//------------------------------------------
//escrito por Jaime Rojas Landivar
//------------------------------------------
//$link_bd=pg_connect("host=37.60.237.220 port=5432 dbname=sigapas user=postgres password=sigapas2025s");

$link_bd=pg_connect("host=37.60.237.220 port=5432 dbname=sigapas user=postgres password=sigapas2025s connect_timeout=5 options='--client_encoding=utf8'");



$nombre='boDISTRITOS';
$map_path = '/var/www/html/jmapReport/map_files/';
$map = ms_newMapObj($map_path.$nombre.'.map');
$imgo = $map->draw();
if($imgo->imagepath == "")
{echo "Erro IMAGEPATH vazio";exit;}
$nombre_imagen = $imgo->imagepath."imagen_".$nombre.".png";
$imgo->saveImage($nombre_imagen);


//-----------CONFIGURACION Y CREACION DEL ARCHIVO PDF
require(dirname(__FILE__).'/pacotes/fpdf/fpdf.php');
$pdf = new FPDF("L","mm","A3");
//$pdf = new FPDF("P","mm","A4");	
$pdf->SetAutoPageBreak(false);
$pdf->SetDisplayMode( 70 , "single");
$pdf->SetMargins(0, 0, 0);
$pdf->AddPage("L");
$pdf->SetLineWidth(0.1);
$mapasize = getimagesize($pathMapa);
$wMapa = $mapasize[0];
$hMapa = $mapasize[1];
$nW  = $wMapa/10;
$nH  = $hMapa/10;
$anchomap = 420;
$altomap  = 297;
//Ancho y alto para el recuadro de los datos
$xdatos  = 10; //valor para x del recuadro de datos
$ydatos  = $altomap;  
//----------Imprimir la IMAGEN PRINCIPAL DEL MAPA en el PDF y dibujar los RECUADROS respectivos ---------------------
$pdf->Image($nombre_imagen, 10, 10, 200, 200);//imagen principal del mapa
//echo $nombre_imagen;
$pdf->Rect(10, 10, $anchomap-20, $altomap-20, 'D');//Mapa CONTORNO DE LA HOJA
$pdf->Close();
$nombre_archivo = "mapa_hoja".$hoja.".pdf";
$pdf->Output($nombre_archivo,"I", true);

?>